Skip to main content
POST
Start managing an existing Airflow SSH connection

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

conn_id
string
required
Required string length: 1 - 200
Pattern: ^[\w.-]+$

Response

Successful Response

conn_id
string
required
host
string | null
port
integer | null
login
string | null
auth_method
enum<string> | null
Available options:
private_key,
password,
key_file
managed
boolean
default:false
conn_type
string
default:ssh
key_file
string | null
timeout
integer | null
no_host_key_check
boolean | null
allow_host_key_change
boolean | null
compress
boolean | null
look_for_keys
boolean | null
description
string | null
private_key_set
boolean
default:false
password_set
boolean
default:false